%define upstream_name    Class-Discover
%define upstream_version 1.000003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Detect MooseX::Declare's 'class' keyword in files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MM_Unix)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(PPI)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This class is designed primarily for tools that whish to populate the
'provides' field of META.{yml,json} files so that the CPAN indexer will pay
attention to the existance of your classes, rather than blithely ignoring
them.

The version parsing is basically the same as what M::I's '->version_form'
does, so should hopefully work as well as it does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.0.3-7.mga6
+ Revision: 1023961
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.0.3-6.mga6
+ Revision: 936387
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 747223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-4.mga5
+ Revision: 683909
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-3.mga4
+ Revision: 510008
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 364346
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.0.3-1.mga1
+ Revision: 36159
- mageia rebuild
- imported package perl-Class-Discover

